// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-06-25 23:25
package define

import "github.com/gin-gonic/gin"

// IsBlackIP 是否是黑名单IP
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 23:25 2022/6/25
type IsBlackIP func(ctx *gin.Context, clientIP string) bool

// IsWhiteIP 是否白名单IP
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 23:27 2022/6/25
type IsWhiteIP func(ctx *gin.Context, clientIP string) bool
